#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a;
    cin>>a;
    int b;
    cin>>b;
    string a1= to_string(a);
    string b1= to_string(b);
    int da= a1.length();
    int db= b1.length();
    string br="";
    while(da>0 || db>0)
    {
        int ai;
        int bi;
        if (da<=0) ai=-1;
        else
        ai = int(a1[da-1])-int('0');
        if (db<=0) bi=-1;
        else
        bi = int(b1[db-1])-int('0');
        string a2= to_string(ai);
        string b2= to_string(bi);
        if(ai>bi)
        {
            br+=a2;
        }
        else if (bi>ai)
        {
            br+=b2;
        }
        else
        {
            br+=a2;
            br+=b2;
        }
        da--;
        db--;
    }
    for(int i= br.length()-1; i>=0;i--)
    {
        cout<<br[i];
    }
    return 0;
}